Subject: Re: bug#37852: Build failure on MSYS2 (undefined reference to _chk functions)

From: Richard Copley <[email-masked]>
Date: Mon, 21 Oct 2019 15:04:34 +0100

On Mon, 21 Oct 2019 at 14:32, Eli Zaretskii <[email-masked]> wrote:

> > From: Richard Copley <[email-masked]>
> > Date: Mon, 21 Oct 2019 14:17:36 +0100
> > Cc: [email-masked]
> >
> > On Mon, 21 Oct 2019 at 14:07, Eli Zaretskii <[email-masked]> wrote:
> >
> >  > From: Richard Copley <[email-masked]>
> >  > Date: Mon, 21 Oct 2019 13:28:29 +0100
> >  >
> >  > Linking auxiliary executables fails with undefined references to
> (FORTIFY_SOURCE?) functions
> >  > __memcpy_chk and __memmove_chk. This is apparently caused by some
> change in MSYS2,
> >  because
> >  > previously buildable commits now fail. Transcript below.
> >
> >  Looks like FORTIFY_SOURCE requires linking against -lssp?  Can you try
> >  adding that, e.g. by
> >
> >    make LIBS_SYSTEM=-lssp
> >
> > Yes, that works.
>
> OK, thanks.
>
> So do we need to add that library to the link command under some
> conditions?  IOW, is FORTIFY_SOURCE something that comes out of our
> configure script (in which case I'm missing something, because I
> didn't find it in the configure script),
>

I don't know.

> or is this an option you
> added manually?

No, I built in a clean checkout of master, with these commands:

./autogen.sh
./configure --without-pop --without-dbus --without-gconf
--without-gsettings "CFLAGS=-O2"
make